summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/owner/0001-flowtable-uaf
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/owner/0001-flowtable-uaf')
-rwxr-xr-xtests/shell/testcases/owner/0001-flowtable-uaf26
1 files changed, 26 insertions, 0 deletions
diff --git a/tests/shell/testcases/owner/0001-flowtable-uaf b/tests/shell/testcases/owner/0001-flowtable-uaf
new file mode 100755
index 00000000..c07e8d6a
--- /dev/null
+++ b/tests/shell/testcases/owner/0001-flowtable-uaf
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# NFT_TEST_REQUIRES(NFT_TEST_HAVE_table_flag_owner)
+
+set -e
+
+$NFT -f - <<EOF
+table t {
+ flags owner
+ flowtable f {
+ hook ingress priority 0
+ devices = { lo }
+ }
+}
+EOF
+
+# trigger uaf.
+$NFT -f - <<EOF
+table t {
+ flags owner
+ flowtable f {
+ hook ingress priority 0
+ devices = { lo }
+ }
+}
+EOF